Loading...
Searching...
No Matches
gtsam::Cal3 Class Reference
Geometry

## Detailed Description

Common base class for all calibration models.

Inheritance diagram for gtsam::Cal3:

## Advanced Interface

class | boost::serialization::access
| Serialization function.

## Testable

GTSAM_EXPORT friend std::ostream & | operator<< (std::ostream &os, const Cal3 &cal)
| Output stream operator.
virtual void | print (const std::string &s="") const
| print with optional string
bool | equals (const Cal3 &K, double tol=10e-9) const
| Check if equal up to specified tolerance.

## Standard Constructors

| Cal3 ()=default
| Create a default calibration that leaves coordinates unchanged.
| Cal3 (double fx, double fy, double s, double u0, double v0)
| constructor from doubles
| Cal3 (const Vector5 &d)
| constructor from vector
| Cal3 (double fov, int w, int h)
| Easy constructor, takes fov in degrees, asssumes zero skew, unit aspect.
virtual | ~Cal3 ()
| Virtual destructor.

## Advanced Constructors

| Cal3 (const std::string &path)
| Load calibration parameters from calibration_info.txt file located in path directory.

## Standard Interface

double | fx () const
| focal length x
double | fy () const
| focal length y
double | aspectRatio () const
| aspect ratio
double | skew () const
| skew
double | px () const
| image center in x
double | py () const
| image center in y
Point2 | principalPoint () const
| return the principal point
Vector5 | vector () const
| vectorized form (column-wise)
virtual Matrix3 | K () const
| return calibration matrix K
Matrix3 | inverse () const
| Return inverted calibration matrix inv(K).
virtual size_t | dim () const
| return DOF, dimensionality of tangent space
static size_t | Dim ()
| return DOF, dimensionality of tangent space

## Public Types

enum | { dimension = 5 }
using | shared_ptr = boost::shared_ptr<Cal3>

## Protected Attributes

double | fx_ = 1.0f
double | fy_ = 1.0f
| focal length
double | s_ = 0.0f
| skew
double | u0_ = 0.0f
double | v0_ = 0.0f
| principal point

## Constructor & Destructor Documentation

## Cal3() [1/2]

gtsam::Cal3::Cal3 | ( | double | fov,
|  | int | w,
|  | int | h )

Easy constructor, takes fov in degrees, asssumes zero skew, unit aspect.

Parameters

  fov | field of view in degrees
  w | image width
  h | image height

## Cal3() [2/2]

gtsam::Cal3::Cal3 | ( | const std::string & | path | ) |

Load calibration parameters from calibration_info.txt file located in path directory.

The contents of calibration file should be the 5 parameters in order: fx, fy, s, u0, v0

Parameters

  path | path to directory containing calibration_info.txt.

## Member Function Documentation

## dim()

virtual size_t gtsam::Cal3::dim | ( |  | ) | const

inline virtual

return DOF, dimensionality of tangent space

Reimplemented in gtsam::Cal3_S2Stereo, gtsam::Cal3Bundler, gtsam::Cal3DS2, gtsam::Cal3DS2_Base, gtsam::Cal3Fisheye, and gtsam::Cal3Unified.

## K()

virtual Matrix3 gtsam::Cal3::K | ( |  | ) | const

inline virtual

return calibration matrix K

Reimplemented in gtsam::Cal3_S2Stereo, and gtsam::Cal3Bundler.

## print()

void gtsam::Cal3::print | ( | const std::string & | s = "" | ) | const

virtual

print with optional string

Reimplemented in gtsam::Cal3_S2, gtsam::Cal3_S2Stereo, gtsam::Cal3Bundler, gtsam::Cal3DS2, gtsam::Cal3DS2_Base, gtsam::Cal3Fisheye, and gtsam::Cal3Unified.

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/Cal3.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/Cal3.cpp